package com.ssj.service.kmt.service;

import java.util.List;
import com.ssj.bean.kmt.kmt.domain.KmtQuestionTemp;
import com.ssj.framework.core.common.service.BaseService;

public interface KmtQuestionTempService  extends BaseService<KmtQuestionTemp, String> {

	List<KmtQuestionTemp> findQuList(Integer page, Integer pageSize, String courseName, String userName, Integer state);
	
	List<KmtQuestionTemp> findQuList(String courseName);
	
	List<KmtQuestionTemp> findQuByStateList(Integer state);
	
	public Integer queryQuTmpCount();
	
	void updateTempUser(String courseName, String username, Integer num);
	
}
